# Conduit 0.0 or 0.1 without RS9113
DESCRIPTION = "mLinux base image"
LICENSE = "MIT"

require mlinux-minimal-image.bb

FILESYSTEM_FEATURES = "dosfstools \
                 cifs-utils \
				 lsof \
                 "

NETWORKING_FEATURES_append = " \
                       bridge-utils \
                       inetutils-ftp \
                       openssl \
                       rsync \
                       iperf3 \
                       lldpd \
					   mii-diag \
					   tcpdump \
					   netcat \
					   wget \
					   strongswan \
					   busybox-ifplugd \
                       "

WIFI_FEATURES = " \
                libnl \
                wpa-supplicant \
                iw \
                hostapd \
                hostapd-cfg \
                "

BLUETOOTH_FEATURES = "bluez5"
BLUETOOTH_INIT ??= "bluez5-mlinit"

# Add all timezones available
# ntpdate will sync time every 30 min by default via cron
TIME_FEATURES = "tzdata tzdata-africa tzdata-americas tzdata-antarctica tzdata-arctic \
				 tzdata-asia tzdata-atlantic tzdata-australia tzdata-europe tzdata-pacific \
				 tzdata-misc \
				 cronie \
                 ntpdate \
                 "

# u-boot-linux-utils: U-Boot environment access from Linux
# mlinux-scripts: sample scripts for setting up Conduit for various tasks
# reset-handler: default reset button handler
# radio-cmd: supports cellular radio activation and other configuration commands
# radio-query: queries cellular radio for common info (IMEI, RSSI, etc)
# jsparser: command line tool to parse JSON files
MULTITECH_FEATURES_append = " \
					 u-boot-linux-utils \
					 mlinux-scripts \
					 reset-handler \
					 radio-cmd radio-query \
					 jsparser \
                     "

MISC_FEATURES = "minicom lrzsz nano"

DEBUG_FEATURES = ""

# Extra stuff to install
IMAGE_INSTALL_append = " \
                kernel-modules \
		${WIFI_FEATURES} \
		${BLUETOOTH_FEATURES} \
		${BLUETOOTH_INIT} \
		${FILESYSTEM_FEATURES} \
                ${TIME_FEATURES} \
                ${MISC_FEATURES} \
                ${DEBUG_FEATURES} \
                "
