require mtr-modules.inc
DESCRIPTION = "mLinux base mtr image"
LICENSE = "MIT"

require mlinux-minimal-image.bb
MULTITECH_MTAC = ""

CONSOLE = "sysvinit-inittab-start-open"

TEST_FEATURES = "i2c-tools \
                  spitools \
                  libgpiod-tools \
                  strace \
                  devmem2 \
                 "

FILESYSTEM_FEATURES = "dosfstools \
                 cifs-utils \
				 lsof \
                 "

NETWORKING_FEATURES_append = " bridge-utils \
                       dnsmasq \
                       inetutils-ftp \
                       openssl \
                       rsync \
                       iperf3 \
					   mii-diag \
					   tcpdump \
					   netcat \
					   wget \
					   strongswan \
					   busybox-ifplugd \
                       "

WIFI_FEATURES = " \
                libnl \
                wpa-supplicant \
                iw \
                hostapd \
                hostapd-cfg \
                "

BLUETOOTH_FEATURES = "bluez5 bluez5-pand"

# Add all timezones available
# ntpdate will sync time every 30 min by default via cron
TIME_FEATURES = "tzdata tzdata-africa tzdata-americas tzdata-antarctica tzdata-arctic \
				 tzdata-asia tzdata-atlantic tzdata-australia tzdata-europe tzdata-pacific \
				 tzdata-misc \
				 cronie \
                 ntpdate \
                 "

# u-boot-linux-utils: U-Boot environment access from Linux
# mlinux-scripts: sample scripts for setting up Conduit for various tasks
# reset-handler: default reset button handler
# radio-cmd: supports cellular radio activation and other configuration commands
# radio-query: queries cellular radio for common info (IMEI, RSSI, etc)
# jsparser: command line tool to parse JSON files
MULTITECH_FEATURES_append = " \
                     u-boot-linux-utils \
                     mlinux-scripts \
					 reset-handler \
					 radio-cmd radio-query \
					 jsparser \
                     "

MISC_FEATURES = "minicom lrzsz nano pps-tools"

# Extra stuff to install
IMAGE_INSTALL_append = " kernel-module-rs9113 rs9113rf rs9113-util rs9113-utils-extra rs9113-misc rs9113-autostart"
IMAGE_INSTALL_append = " gpsd gpsd-conf gpsd-gpsctl libgps ntp ntp-utils gpspipe gps-utils"
IMAGE_INSTALL_append = " uxfp"

IMAGE_INSTALL_append = " \
				${TEST_FEATURES} \
				${WIFI_FEATURES} \
				${BLUETOOTH_FEATURES} \
				${FILESYSTEM_FEATURES} \
                ${TIME_FEATURES} \
                ${MISC_FEATURES} \
                "
